using System.Collections;
using System.Collections.Generic;
using Cinemachine;
using UnityEngine;
using UnityEngine.Tilemaps;
using static System.Net.WebRequestMethods;


namespace Bigsock
{
    public class FollowPlayer : MonoBehaviour
    {
        [SerializeField]
        private NeighbourMapGenerator neighborMapGenerator;
        [SerializeField]
        private CinemachineConfiner2D cameraMap;

        Vector3 offset = new Vector3(0, 0, -10);
        int i = 0;


        void Start()
        {
            neighborMapGenerator.RunProceduralGeneration();
            
        }

        void LateUpdate()
        {
            int i = 0;
            if(i == 0) {
                cameraMap.InvalidateCache();
                i++;
            }
        }

        private void OnDestroy()
        {
            NeighbourMapGenerator.ClearRoomList();
            TilemapGenerator.SetRoomIDZero();
            TilemapGenerator.resetMaps();
        }
    }
}
