using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class EndScreen : MonoBehaviour
{   
    
    public void Start()
    {        
        Time.timeScale = 0;
        GameObject menu = GameObject.Find("PlayerMenu(Clone)");
        if (menu != null) {
            Destroy(menu.gameObject);
        }
    }

    public void OnDestroy()
    {
        Time.timeScale = 1;
    }

    public void GiveUp()
    {
        Application.Quit();
    }

    public void TryAgain()
    {
        Destroy(gameObject);
        SceneManager.LoadScene("MainMenu");
    }
}
